{ config, pkgs, lib, modulesPath, ... }:

{
  imports = [
    (modulesPath + "/profiles/minimal.nix")
    ../../../config
    ../../../config/lxc-container.nix
    ../../../config/shared.nix
  ];

  c3d2 = {
    isInHq = true;
    hq.interface = "eth0";
  };

  networking.hostName = "ledstripes";
  networking.useNetworkd = true;

  # Required for krops
  services.openssh.enable = true;

  systemd.services.ledball =
    let pile = import ../../../config/pkgs/pile.nix { inherit pkgs; };
    in {
      after = [ "network-online.target" ];
      wantedBy = [ "multi-user.target" ];
      serviceConfig = {
        ExecStart = "${pile.ledball}/bin/rows";
        Restart = "always";
      };
    };

  # This value determines the NixOS release with which your system is to be
  # compatible, in order to avoid breaking some software such as database
  # servers. You should change this only after NixOS release notes say you
  # should.
  system.stateVersion = "20.03"; # Did you read the comment?
}
